Автор Тема: CUDA NVidia [решено]  (Прочитано 12055 раз)

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 6 209
Re: CUDA NVidia
« Ответ #15 : 16.12.2020 20:39:16 »
Проблему может решить использование поприетарных драйверов с помощью nvidia_glx_common ?
а как иначе?

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 403
  • ненужная строка
    • Найдётся всё
Re: CUDA NVidia
« Ответ #16 : 17.12.2020 17:33:27 »
[/code]
в dmesg:
...
NVRM: API mismatch: the client has the version 450.80.02, but
NVRM: this kernel module has the version 450.57.  Please
NVRM: make sure that this kernel module and all NVIDIA driver
NVRM: components have the same version.
make-initrd для соотв. ядра может помочь, если nvidia_glx_common обновлён.
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 403
  • ненужная строка
    • Найдётся всё
Re: CUDA NVidia
« Ответ #17 : 17.12.2020 17:35:34 »
Обновил kernel-modules-nvidia-un-def
Лучше испольуйте std-def, если оно работает.

явно указав 450.80.02-alt1
Это как?
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.

Оффлайн zerg

  • ненужная строка
  • alt linux team
  • ***
  • Сообщений: 2 403
  • ненужная строка
    • Найдётся всё
Re: CUDA NVidia
« Ответ #18 : 17.12.2020 17:37:05 »
Теперь kernel-modules-nvidia-un-def-450.80.02 = libcuda-450.80.02
Нет. вы же сами писали, что
Цитировать
NVRM: API mismatch: the client has the version 450.80.02, but
NVRM: this kernel module has the version 450.57.
Убрать этот мусор можно переключателем: Не показывать подписи других пользователей.

Оффлайн zah

  • Давно тут
  • **
  • Сообщений: 138
  • ^_^
Re: CUDA NVidia
« Ответ #19 : 18.12.2020 11:52:47 »
явно указав 450.80.02-alt1
Это как?

Вот так:
apt-get install kernel-modules-nvidia-un-def#450.80.02-alt1.329491.1:p9+259036.600.3.1@1602000670И всё, теперь на ядре un-def не взлетает sddm =)

Оффлайн zah

  • Давно тут
  • **
  • Сообщений: 138
  • ^_^
Re: CUDA NVidia
« Ответ #20 : 18.12.2020 12:23:45 »
Проблему может решить использование поприетарных драйверов с помощью nvidia_glx_common ?
а как иначе?
Используя данную инструкцию по установке nvidia_glx_common проблема решилась!

Всем огромное спасибо за помощь!!!
« Последнее редактирование: 18.12.2020 12:25:59 от zah »

Оффлайн sasha-ant

  • Начинающий
  • *
  • Сообщений: 8
Re: CUDA NVidia [решено]
« Ответ #21 : 05.01.2023 08:32:10 »
Свеже-установленный АльтСИмпли. Не работает CUDA не видит ее Blender драйвер установлен Стим играм хватает. До этого пробовал КДЕшный Альт - тоже нет куды. Вторым у меня стоит мх-линукс там просто ставишь дрова через их скрипт установки и все - cuda работает. Бросил это дело симпли, потом уже через месяц думаю ну еще попробую... Система обновления нашла поставила, ядра обновлений сказало нет, стояло 5.10.156-std-def-alt1... Искать стал в репах *cuda*  нашелся libcuda-nvidia поставил толку ноль, по форуму искал доставить ocl-nvidia nvidia-modprobe - толку ноль. Удалил совсем открытые модули новеаю - толку нет.. clinfo показывало нет совместимых устройств -0. Полез искать в репах вообще все *nvidia* и вижу у меня стоит модули 515.72, а есть 515.86 но обновлять он не предлагает ничего! Руками выделил установить 515.86 модули. Перезагрузил и clinfo увидела карту! Blender увидел карту!

PS) Как оно так криво работает в Альте??? Как оно так не следит за версиями и обновлением модулей ядра нвидиа?? Почему нельзя сделать скрипт в настройках системы как в том же мх-линуксе, который поставит все, что надо с ваших репов, запустит все регистрации в системе компонентов какие надо, о которых обычные люди и не знают...  Но годы идут, а альт подразумевается как печатная машинка браузер и либреофис.

PPS) Справедливости ради попробовал новый Кворкстайшен10.1 в нем из коробки сразу работает cuda. Обновил его apt-get update  apt-get dist-upgrade потом обновил ядро update-kernel обновились модули nvidia после перезагрузки cuda так же работает. Буду сидеть на Кворкстэйшене. Симпли странный какой та сплошные танцы.
« Последнее редактирование: 05.01.2023 11:48:03 от sasha-ant »

Оффлайн Александр Ерещенко

  • Завсегдатай
  • *
  • Сообщений: 1 109
Re: CUDA NVidia [решено]
« Ответ #22 : 05.01.2023 11:54:57 »
PS) Как оно так криво работает в Альте??? Как оно так не следит за версиями и обновлением модулей ядра нвидиа?? Почему нельзя сделать скрипт в настройках системы как в том же мх-линуксе, который поставит все, что надо с ваших репов, запустит все регистрации в системе компонентов какие надо, о которых обычные люди и не знают...
Такой скрипт есть и называется update-kernel
В альт ядро и соответственно модули ядра не обновляются автоматически при обновлении системы (apt-get update && apt-get dist-upgrade).
Для обновления ядра и его установленных модулей (а также смены типа ядра) предназначен скрипт update-kernel
При этом, если само ядро не обновилось, но обновился один из установленных модулей, то для обновления модуля следует запустить скрипт с параметром -f (--force)

ЗЫ. Откуда я узнал это "тайное знание"?
1) из документации дистрибутива (и wiki) про обновление ядра и скрипт update-kernel
2) из справки самого update-kernel (ключ --help) про режим --force
3) проверил - работает, как и логично предполагалось.

Оффлайн sasha-ant

  • Начинающий
  • *
  • Сообщений: 8
Re: CUDA NVidia [решено]
« Ответ #23 : 05.01.2023 15:13:45 »
Спасибо за информацию. Век живи век учись... ???

Оффлайн sasha-ant

  • Начинающий
  • *
  • Сообщений: 8
Re: CUDA NVidia [решено]
« Ответ #24 : 06.01.2023 08:10:47 »
PPS) Справедливости ради попробовал новый Кворкстайшен10.1 в нем из коробки сразу работает cuda. Обновил его apt-get update  apt-get dist-upgrade потом обновил ядро update-kernel обновились модули nvidia после перезагрузки cuda так же работает.
я немного поторопился... сразу после установки куда работала и в блендере 2.9.хх из коробки и в скачанном новом 3.4.1... а вот после обновления в блендере 2.9.11 из репов уже не видит карту! при этом в новом 3.4.1 работает... так же есть отдельно скачан с сайта блендер 2.9.10 видит куда!... это жесть было но пропало, тут есть там нет.

ЗЫ)) справедливости ради добавлю, что в мх-линухе блендер из репов не видит куда, а скачаный с сайта видит. А в манжаре для того, что куда было видно в блендере из репов, надо доставить куда девелопмент пакетов на пять гигабайт! При этом скачаный с сайта опять же видит. Походу в репах у всех блендер криво собирают и кому он такой нужен?
« Последнее редактирование: 06.01.2023 13:21:55 от sasha-ant »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 776
    • Домашняя страница
    • Email
Re: CUDA NVidia [решено]
« Ответ #25 : 06.01.2023 11:14:22 »
У меня Blender работает, он мне нужен. Nvidia нет.
Андрей Черепанов (cas@)